OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
ViewPort Struct Reference

Data structure for viewport, display of a part of the world. More...

`#include <viewport_type.h>`

Inheritance diagram for ViewPort:

## Data Fields
int | left
| Screen coordinate left egde of the viewport.
int | top
| Screen coordinate top edge of the viewport.
int | width
| Screen width of the viewport.
int | height
| Screen height of the viewport.
int | virtual_left
| Virtual left coordinate.
int | virtual_top
| Virtual top coordinate.
int | virtual_width
| width << zoom
int | virtual_height
| height << zoom
ZoomLevel | zoom
| The zoom level of the viewport.
LinkGraphOverlay * | overlay

## Detailed Description

Data structure for viewport, display of a part of the world.

Definition at line 23 of file viewport_type.h.

The documentation for this struct was generated from the following file:

- src/viewport_type.h